<?php

namespace Teknisa\SM\Factory;

use Doctrine\ORM\EntityManager;

class Sm00015004RecursoTarefaFactory {
    
    protected $connection;
    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }
    
     /**
     *  A função "recebeOrdenacao" recebe a próxima a ordenação da tarefa 
     *  que está sendo inserida para a recurso.
     */
    public function recebeOrdenacao($params){
        
        $sql = "SELECT NVL(MAX(IDORDENACAO), 0) AS IDORDENACAO
                  FROM FCT_TAREFASAGENDCONT
                 WHERE NRRECURSOSAGENDCONT = :NRRECURSOSAGENDCONT
                   AND NRORG = :NRORG";

        $std = $this->connection->prepare($sql);
        $std->execute($params);
        return $std->fetchAll();
    }
    
    /**
     *  A função "validar" verifica se já existe a ordenação da tarefa 
     *  que está sendo inserida para a recurso.
     */
     
    public function validar($params) {
        $sql = "SELECT COUNT(*) AS EXISTE
                  FROM FCT_TAREFASAGENDCONT
                 WHERE NRRECURSOSAGENDCONT = :NRRECURSOSAGENDCONT 
                   AND IDORDENACAO  = :IDORDENACAO
                   AND NRORG          = :NRORG"; 
        
        $consulta = $this->connection->prepare($sql);
        $consulta->execute($params);
        return $consulta->fetchAll(); 
    }
}

?>