CREATE OR REPLACE PROCEDURE EXPORTA_SALDOEST_TEK
IS
   V_CDPRODINTE   VARCHAR2(20);
   V_QTESTOQDIA   FLOAT;
   V_SGUNIDADE    VARCHAR2(10);
   V_DTPOSIESTQ   DATE;
   V_QTESTOQANT   FLOAT;
   V_IDINTERFACE  VARCHAR2(5);
   
   CURSOR C_POSESTDIA IS 
      SELECT P.CDPRODINTE, SUM(PO.QTESTOQDIA) QTESTOQDIA, P.SGUNIDADE, MAX(PO.DTPOSIESTQ) DTPOSIESTQ, SUM(PO.QTESTOQANT) QTESTOQANT
        FROM POSESTDIA PO, PRODUTO P
       WHERE PO.CDPRODUTO = P.CDPRODUTO
         AND P.CDPRODINTE IS NOT NULL
       GROUP BY P.CDPRODINTE, P.SGUNIDADE;
BEGIN
   OPEN C_POSESTDIA;
   LOOP
      FETCH C_POSESTDIA INTO V_CDPRODINTE, V_QTESTOQDIA, V_SGUNIDADE, V_DTPOSIESTQ, V_QTESTOQANT;
      EXIT WHEN C_POSESTDIA%NOTFOUND;
      
      IF (V_QTESTOQDIA - V_QTESTOQANT) > 0 THEN
         V_IDINTERFACE := 'Alta';
      ELSE
         V_IDINTERFACE := 'Baixa';
      END IF;
      
      INSERT INTO INT_SALDOEST_TEK(CDPRODEXTERNO, QTESTOQDIA, SGUNIDADE, DTPOSICAO, IDINTERFACE)
      VALUES (V_CDPRODINTE, V_QTESTOQDIA, V_SGUNIDADE, V_DTPOSIESTQ, V_IDINTERFACE);      
   END LOOP;
   CLOSE C_POSESTDIA;
   
   COMMIT;
EXCEPTION
   WHEN OTHERS THEN
      IF C_POSESTDIA%ISOPEN THEN
         CLOSE C_POSESTDIA;
      END IF;
      
      ROLLBACK;
      RAISE;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('EXPORTA_SALDOEST_TEK','6.35.020'); END;
/
