/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_COMP                                                     */
/* Tabela : COMPRADOR                                                         */
/*                                                                            */
/* Criao:                                                                   */
/* 04/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_COMP'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_COMP
GO

CREATE TRIGGER DTULTATU_COMP
ON COMPRADOR
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'COMPRADOR', null, 'CDOPERADOR='+ CDOPERADOR+ ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE COMPRADOR
      SET DTULTATUCOMP = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(COMPRADOR.CDOPERADOR,0)  = ISNULL(INSERTED.CDOPERADOR,0))  AND
            (ISNULL(COMPRADOR.VRLIMAFCOMP,0) = ISNULL(INSERTED.VRLIMAFCOMP,0)) AND
            (ISNULL(COMPRADOR.VRLIMAFMES,0)  = ISNULL(INSERTED.VRLIMAFMES,0));
   END;
END;
GO


